package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsDeviceComponent;

import java.util.List;

/**
 * 能源设备部件Service接口
 *
 * @author ruoyi
 * @date 2024-09-23
 */
public interface IEmsDeviceComponentService {
    /**
     * 查询能源设备部件
     *
     * @param id 能源设备部件主键
     * @return 能源设备部件
     */
    EmsDeviceComponent selectById(Long id);

    /**
     * 查询能源设备部件
     *
     * @param componentCode 设备部件代码
     * @return 能源设备部件
     */
    EmsDeviceComponent selectByCode(String componentCode);

    /**
     * 查询能源设备部件列表
     *
     * @param deviceComponent 能源设备部件
     * @return 能源设备部件集合
     */
    List<EmsDeviceComponent> selectList(EmsDeviceComponent deviceComponent);

    /**
     * 查询能源设备部件列表
     *
     * @param deviceCode 设备编号
     * @return 能源设备部件集合
     */
    List<EmsDeviceComponent> selectByDeviceCode(String deviceCode);

    /**
     * 新增能源设备部件
     *
     * @param deviceComponent 能源设备部件
     * @return 结果
     */
    int insertComponent(EmsDeviceComponent deviceComponent);

    /**
     * 修改能源设备部件
     *
     * @param deviceComponent 能源设备部件
     * @return 结果
     */
    int updateComponent(EmsDeviceComponent deviceComponent);

    /**
     * 批量删除能源设备部件
     *
     * @param ids 需要删除的能源设备部件主键集合
     * @return 结果
     */
    int deleteComponentByIds(Long[] ids);

    /**
     * 删除能源设备部件信息
     *
     * @param id 能源设备部件主键
     * @return 结果
     */
    int deleteComponentById(Long id);
}
